REST API call to retrieve the list of stakeholders and their information

Prev Next

You can retrieve the list of stakeholders and their associated information for the specified stakeholder type.

GET request URL

https://<epo_server_name:port>/rest/dlp/incidents/stakeholders/list?stakeholderType={n}

Where

  • epo_server_name:port is the server IP address and port number.

  • stakeholderType={n} based on the value of n, stakeholder type can be:

    • 0 = ePO users

    • 1 = Non-ePO users

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

stakeholderType={n}

Stakeholders and their associated information based on the value of n:

  • 0 = ePO users

  • 1 = Non-ePO users

Required

Number

Using these sample API calls, you can retrieve the list of stakeholders, who are ePO users.

Sample GET request URL

https://172.27.108.53:8443/rest/dlp/incidents/stakeholders/list?stakeholderType=0

Sample cURL command

curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/incidents/stakeholders/list?stakeholderType=0' -u '<user>:<password>'

Response parameters

The response to this API call returns a list of stakeholders and their associated information for the specified stakeholder type.

Element

Description

Data type

stakeholderId

ID of the stakeholder

String

name

Name of the stakeholder

String

email

Email address of the stakeholder

String

Sample response

[
    {
        "stakeholderId": "7",
        "name": "test_user_2",
        "email": "test_user_2@gmail.com"
    },
    {
        "stakeholderId": "9",
        "name": "test_user_1",
        "email": "test_user_1@gmail.com"
    },
    {
        "stakeholderId": "6",
        "name": "test_user",
        "email": "test_user@gmail.com"
    }
]

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Returns the list of stakeholders and their details.

400 Bad Request

Returns a bad request if:

  • StakeholderType is missing

  • StakeholderType has a non-numeric value

  • StakeholderType is not 0 or 1

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.